device_type: nexus4
job_name: Nexus4 health check
timeouts:
  job:
    minutes: 60
  action:
    minutes: 5
  connection:
    minutes: 2
priority: medium
visibility: public
reboot_to_fastboot: false

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: health-checks/nexus4.yaml

protocols:
  lava-lxc:
    name: lxc-nexus4
    template: debian
    distribution: debian
    release: stretch

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 5
    to: lxc
    packages:
    - adb
    - fastboot

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):/#'
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 5
    to: fastboot
    namespace: droid
    images:
      boot:
        url: http://images.validation.linaro.org/people.linaro.org/~senthil.kumaran/nexus4-userdebug/boot.img
      userdata:
        url: http://images.validation.linaro.org/people.linaro.org/~senthil.kumaran/nexus4-userdebug/userdata.img
      system:
        url: http://images.validation.linaro.org/people.linaro.org/~senthil.kumaran/nexus4-userdebug/system.img

- boot:
    namespace: droid
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    definitions:
    - repository: https://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/android/get-adb-serial.yaml
      name: get-nexus4-serial
